Skip to main content
GET
/
v1
/
wallet
get wallet state
curl --request GET \
  --url https://api.unprice.dev/v1/wallet \
  --header 'Authorization: Bearer <token>'
{
  "currency": "USD",
  "available": {
    "ledger_amount": 1,
    "amount": "<string>",
    "currency": "USD",
    "display_amount": "<string>"
  },
  "held": {
    "ledger_amount": 1,
    "amount": "<string>",
    "currency": "USD",
    "display_amount": "<string>"
  },
  "credits": [
    {
      "id": "<string>",
      "source": "promo",
      "issued": {
        "ledger_amount": 1,
        "amount": "<string>",
        "currency": "USD",
        "display_amount": "<string>"
      },
      "available": {
        "ledger_amount": 1,
        "amount": "<string>",
        "currency": "USD",
        "display_amount": "<string>"
      },
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.unprice.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

customerId
string
required

The customer ID

Example:

"cus_1H7KQFLr7RepUyQBKdnvY"

projectId
string

The project ID

Example:

"prj_1H7KQFLr7RepUyQBKdnvY"

Response

The wallet state for a customer

currency
enum<string>
required
Available options:
USD,
EUR
available
object
required
held
object
required
credits
object[]
required